export default class ExpiryMap<K = any, V = any> implements Map<K, V> {
    private readonly maxAge;
    private readonly data;
    readonly [Symbol.toStringTag]: string;
    constructor(maxAge: number);
    constructor(maxAge: number, entries: ReadonlyArray<[K, V]> | null | undefined);
    constructor(maxAge: number, iterable: Iterable<[K, V]>);
    readonly size: number;
    clear(): void;
    delete(key: K): boolean;
    has(key: K): boolean;
    get(key: K): V | undefined;
    set(key: K, value: V): this;
    values(): IterableIterator<V>;
    keys(): IterableIterator<K>;
    entries(): IterableIterator<[K, V]>;
    forEach(callbackfn: (value: V, key: K, map: Map<K, V>) => void, thisArg?: any): void;
    [Symbol.iterator](): IterableIterator<[K, V]>;
    private isExpired;
    private createIterator;
}
